List accounting activity
curl --request GET \
--url https://sandbox.groundtech.co/v2/accounting/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/accounting/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/accounting/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity": [
{
"journalEntryId": "7c2f1b90-1d2e-4a3b-9c4d-5e6f70819203",
"lineNumber": 1,
"eventType": "yield_source_deposit",
"accountKind": "cash",
"walletId": "9d1a1c83-3a1c-4c14-9c5a-0c9a57a4a7db",
"walletLabel": "Treasury Portfolio",
"nativeUnits": "-5000000000",
"amountUsd": "-5000.000000",
"settlementValuedAt": "2026-05-01T15:05:11.000Z",
"timestamp": "2026-05-01T15:05:11.000Z",
"chain": "ethereum",
"token": "usdc",
"yieldSourceId": null,
"yieldSourceLabel": null,
"bridgeId": null,
"txHash": "0xb4ec6ad9f2f2d75fb8df30c6e49b1f319138f0172d7bff7c402e7dcb7f017e8a"
},
{
"journalEntryId": "7c2f1b90-1d2e-4a3b-9c4d-5e6f70819203",
"lineNumber": 2,
"eventType": "yield_source_deposit",
"accountKind": "yield_position",
"walletId": "9d1a1c83-3a1c-4c14-9c5a-0c9a57a4a7db",
"walletLabel": "Treasury Portfolio",
"nativeUnits": "4998500123",
"amountUsd": "5000.000000",
"settlementValuedAt": "2026-05-01T15:05:11.000Z",
"timestamp": "2026-05-01T15:05:11.000Z",
"chain": "ethereum",
"token": "usdc",
"yieldSourceId": "morpho-gauntlet-usdc",
"yieldSourceLabel": "Morpho Gauntlet USDC",
"bridgeId": null,
"txHash": "0xb4ec6ad9f2f2d75fb8df30c6e49b1f319138f0172d7bff7c402e7dcb7f017e8a"
}
],
"nextCursor": null,
"hasMore": false
}
Accounting
List accounting activity
Shows accounting activity for a wallet or your organization. Records with the same journalEntryId are part of the same entry.
GET
/
v2
/
accounting
/
activity
List accounting activity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Wallet ID for a wallet-scoped activity feed. Provide exactly one of walletId or scope=organization.
Use organization for an organization-wide activity feed. Provide exactly one of walletId or scope=organization.
Available options:
organization Inclusive ISO-8601 UTC lower bound for activity timestamps. Defaults to the beginning of time when omitted.
Exclusive ISO-8601 UTC upper bound for activity timestamps. Defaults to the current request time when omitted.
Opaque cursor from a prior response.
Maximum number of journal lines to return.
Required range:
1 <= x <= 500